Skip to main content
POST
/
api
/
v1
/
simple-routing-rules
/
bulk-delete
Basit yönlendirme kurallarını topluca sil
curl --request POST \
  --url https://vpos-sandbox.payven.com.tr/api/v1/simple-routing-rules/bulk-delete \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "ids": [
    "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  ]
}
'
{
  "deleted_count": 123,
  "not_found_ids": [
    "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  ]
}

Authorizations

Authorization
string
header
required

Identity servisinden alinan Keycloak JWT. Format: Authorization: Bearer <token>. Token alma: POST /api/v1/auth/{slug}/token

Headers

Idempotency-Key
string

Body

application/json
ids
string<uuid>[] | null

Response

OK

deleted_count
integer<int32>
not_found_ids
string<uuid>[] | null